filenamify

> Convert a string to a valid safe filename

On Unix-like systems `/` is reserved and `<>:"/\|?*` on Windows.

# Install

$ npm install --save filenamify

# Usage

const filenamify = require('filenamify');
filenamify('<foo/bar>');
//=> 'foo!bar'
filenamify('foo:"bar"', {replacement: '🐴'});
//=> 'foo🐴bar'

# API

## filenamify(input, [options])

Accepts a filename and returns a valid filename.

## filenamify.path(input, [options])

Accepts a path and returns the path with a valid filename.

### input

Type: `string`

### options

#### replacement

Type: `string`
Default: ‘’!'`

String to use as replacement for reserved filename characters.

Cannot contain: `<` `>` `:` `"` `/` `\` `|` `?` `*`

# Related

- filenamify-url - Convert a URL to a valid filename
- valid-filename - Check if a string is a valid filename

# License

MIT © Sindre Sorhus